datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaMousev2BeadID <- function() showQCData("illuminaMousev2BeadID", datacache)
illuminaMousev2BeadID_dbconn <- function() dbconn(datacache)
illuminaMousev2BeadID_dbfile <- function() dbfile(datacache)
illuminaMousev2BeadID_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaMousev2BeadID_dbInfo <- function() dbInfo(datacache)

illuminaMousev2BeadIDORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaMousev2BeadID.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "illuminaMousev2BeadID", "chip illuminaMousev2BeadID", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaMousev2BeadID_dbconn())
}

